£1,179.41– £1,440.99
Compare 3 prices
Zyxel · Network Switch
Zyxel GS1900-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black price in United Kingdom
Model GS1900-48HPMPN GS1900-48HPMPN GS1900-48HP-EU0101FMPN GS1900-48HP-EU0101EAN 7605591214640EAN 4718937572137
- Weight4.24 kg
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity48
Lowest price incl. delivery
£322.07
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £322.07 – £357.99
- Save up to £35.92 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £35.92 (10%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceZyxel GS1900-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over In stockFree shipping£322.07incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeZyxel GS1900-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black In stockFree shipping£357.99incl. free shipping+£35.92 (11%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukZyxel GS1900-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over In stockShipping not stated£322.07item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Zyxel
- Product
- GS1900-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
- Full name
- Zyxel GS1900-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
- Manufacturer part number
- GS1900-48HP, GS1900-48HP-EU0101F, GS1900-48HP-EU0101, GS1900-48HP-GB0101F
- EAN / UPC
- 7605591214640, 4718937572137, 4718937572151, 4718937609550, 5054629654194, 760559121464, 760559127015
- Category
- Network Switch
40 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| MIB support | RFC 1213 MIB II, RFC 2819 RMON (group 1, 2, 3, 9), RFC 1215, RFC 1493 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 48 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| SFP module slots quantity | 2 |
| Power connector | DC-in jack |
Network
| Networking standards | IEEE 802.1p, IEEE 802.1Q, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
|---|---|
| Copper ethernet cabling technology | 1000BASE-T |
| Full duplex | Yes |
| VLAN support | Yes |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 100 Gbit/s |
| Store-and-forward | Yes |
| Jumbo frames support | Yes |
Design
| Rack mounting | Yes |
|---|---|
| Product colour | Black |
| LED indicators | Yes |
| Cable management | Yes |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (typical) | 250 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 24 |
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Heat dissipation | 853 BTU/h |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 310 mm |
| Height | 45 mm |
| Weight | 4.24 kg |
Packaging content
| Cables included | AC |
|---|
Packaging data
| Package width | 583 mm |
|---|---|
| Package depth | 451 mm |
| Package height | 98 mm |
| Package weight | 5.31 kg |
Certificates
| Certification | RoHS, CE |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






